Package org.spongepowered.asm.util

## Class Locals.SyntheticLocalVariableNode

- java.lang.Object
- - org.objectweb.asm.tree.LocalVariableNode
  - - org.spongepowered.asm.util.Locals.SyntheticLocalVariableNode

Enclosing class:
  Locals

    public static class Locals.SyntheticLocalVariableNode
    extends org.objectweb.asm.tree.LocalVariableNode

A local variable entry added by mixin itself, eg. by an injector

### Field Summary

### Fields inherited from class org.objectweb.asm.tree.LocalVariableNode

`desc, end, index, name, signature, start`

### Constructor Summary

Constructors
`SyntheticLocalVariableNode​(java.lang.String name, java.lang.String descriptor, java.lang.String signature, org.objectweb.asm.tree.LabelNode start, org.objectweb.asm.tree.LabelNode end, int index)`

### Method Summary

### Methods inherited from class org.objectweb.asm.tree.LocalVariableNode

`accept`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SyntheticLocalVariableNode

    public SyntheticLocalVariableNode​(java.lang.String name,
                                      java.lang.String descriptor,
                                      java.lang.String signature,
                                      org.objectweb.asm.tree.LabelNode start,
                                      org.objectweb.asm.tree.LabelNode end,
                                      int index)